petsc-3.7.7 2017-09-25
Report Typos and Errors

# VECMPI

VECMPI = "mpi" - The basic parallel vector

### Options Database Keys

-vec_type mpi -sets the vector type to VECMPI during a call to VecSetFromOptions()

### See Also

VecCreate(), VecSetType(), VecSetFromOptions(), VecCreateMpiWithArray(), VECMPI, VecType, VecCreateMPI(), VecCreateMpi()

Level:beginner
Location:src/vec/vec/impls/mpi/pbvec.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex9.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex70.c.html
src/tao/constrained/examples/tutorials/maros.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html